Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl
Class P3SWRLTabPluginRegistrationRecord

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.P3SWRLTabPluginRegistrationRecord

    public class P3SWRLTabPluginRegistrationRecord

extends Object

Constructor Summary
`P3SWRLTabPluginRegistrationRecord(String pluginName, String ruleEngineName, String toolTip, Icon pluginIcon, Icon ruleEngineIcon, Icon reasonerIcon, P3SWRLTabPluginCreator swrlTabPlugin)`

Method Summary
`OWLModel` | `getOWLModel()`
`Icon` | `getPluginIcon()`
`String` | `getPluginName()`
`Icon` | `getReasonerIcon()`
`Icon` | `getRuleEngineIcon()`
`String` | `getRuleEngineName()`
`P3SWRLTabPluginCreator` | `getSWRLTabPlugin()`
`String` | `getToolTip()`
`boolean` | `hasOWLModel()`
`void` | `setOWLModel(OWLModel owlModel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### P3SWRLTabPluginRegistrationRecord

    public P3SWRLTabPluginRegistrationRecord(String pluginName,
                                             String ruleEngineName,
                                             String toolTip,
                                             Icon pluginIcon,
                                             Icon ruleEngineIcon,
                                             Icon reasonerIcon,
                                             P3SWRLTabPluginCreator swrlTabPlugin)

Method Detail

### setOWLModel

    public void setOWLModel(OWLModel owlModel)

### getPluginName

    public String getPluginName()

### getRuleEngineName

    public String getRuleEngineName()

### getToolTip

    public String getToolTip()

### getSWRLTabPlugin

    public P3SWRLTabPluginCreator getSWRLTabPlugin()

### getPluginIcon

    public Icon getPluginIcon()

### getRuleEngineIcon

    public Icon getRuleEngineIcon()

### getReasonerIcon

    public Icon getReasonerIcon()

### getOWLModel

    public OWLModel getOWLModel()

### hasOWLModel

    public boolean hasOWLModel()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.